org.apache.cassandra.index.internal.composites

## Class CompositesSearcher

- java.lang.Object
- - org.apache.cassandra.index.internal.CassandraIndexSearcher
  - - org.apache.cassandra.index.internal.composites.CompositesSearcher

All Implemented Interfaces:
  Index.Searcher

    public class CompositesSearcher
    extends CassandraIndexSearcher

### Field Summary

### Fields inherited from class org.apache.cassandra.index.internal.CassandraIndexSearcher

`command, index`

### Constructor Summary

Constructors
Constructor and Description
`CompositesSearcher(ReadCommand command, RowFilter.Expression expression, CassandraIndex index)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected UnfilteredPartitionIterator` `queryDataFromIndex(DecoratedKey indexKey, RowIterator indexHits, ReadCommand command, ReadExecutionController executionController)`

### Methods inherited from class org.apache.cassandra.index.internal.CassandraIndexSearcher

`makeIndexClustering, search`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CompositesSearcher

    public CompositesSearcher(ReadCommand command,
                              RowFilter.Expression expression,
                              CassandraIndex index)

### Method Detail

#### queryDataFromIndex

    protected UnfilteredPartitionIterator queryDataFromIndex(DecoratedKey indexKey,
                                                             RowIterator indexHits,
                                                             ReadCommand command,
                                                             ReadExecutionController executionController)

Specified by:
  `queryDataFromIndex` in class `CassandraIndexSearcher`